@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

/* font-family: "Poppins", sans-serif; */
/* font-weight: 200; */
/* font-weight: 700; */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html,
body {
    width: 100%;
    height: 100%;
    cursor: default !important;
}

::-webkit-scrollbar {
    display: none;
}

body {
    font-family: "Poppins", sans-serif;
    font-weight: 300;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: 700;
}

a {
    text-decoration: none;
    color: #000;
    cursor: pointer;
}

/* #0d101b - gray dots color on footer */
/* #101727 - gradient 2nd footer color with 000 */

/* desk navigation */
.desk-navigation {
    width: 100%;
    height: auto;
    min-height: 150px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;

    .desk-navigation-container {
        width: 100%;
        max-width: 1400px;
        height: auto;
        display: flex;
        align-items: center;
        justify-content: space-between;
        padding: 20px 30px;
        border-radius: 200px;
        box-shadow: 5px 5px 20px #00000015;

        .desk-logo {
            width: auto;
            height: auto;

            img {
                width: auto;
                height: 60px;
            }
        }

        .dek-nav-links {
            width: auto;
            display: flex;
            align-items: center;
            justify-content: center;
            gap: 40px;

            a {
                color: #000;
                font-size: 1.1rem;
                font-weight: 500;
                transition: all .5s ease-in-out;

                &:hover {
                    color: #fbab18;
                }
            }

            .active {
                color: #fbab18;
            }
        }

        .desk-nav-cta {
            width: auto;
            height: auto;

            a {
                font-size: 1.1rem;
                font-weight: 500;
                color: #000;
                background-color: #fbab18;
                padding: 12px 24px;
                border-radius: 12px;
                border: none;
                transition: all .5s ease-in-out;

                &:hover {
                    background-color: #000;
                    color: #fff;
                }
            }
        }
    }
}

@media only screen and (max-width:768px) {
    body {
        cursor: default;
    }

    .cursor-core,
    .cursor-ring {
        display: none;
    }

    .desk-navigation {
        display: none;
    }

    .mobile-nav {
        display: block !important;
    }
}

/* desk navigation */


/* mobile menu */
/* ---------- MOBILE NAVIGATION ---------- */
.mobile-nav {
    display: none;
    width: 100%;
    background: #fff;
    box-shadow: 5px 5px 20px #00000010;
    font-family: 'Poppins', sans-serif;
    position: relative;
    z-index: 2000;
}

.mobile-nav-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 16px 20px;
}

.mobile-logo img {
    height: 50px;
    width: auto;
}

.menu-toggle {
    width: 30px;
    height: 22px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    cursor: pointer;
    z-index: 3000;
}

.menu-toggle span {
    height: 3px;
    width: 100%;
    background: #000;
    border-radius: 4px;
    transition: all 0.3s ease;
}

.menu-toggle.active span:nth-child(1) {
    transform: translateY(9px) rotate(45deg);
}

.menu-toggle.active span:nth-child(2) {
    opacity: 0;
}

.menu-toggle.active span:nth-child(3) {
    transform: translateY(-9px) rotate(-45deg);
}

/* Mobile dropdown */
.mobile-menu {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background: rgba(255, 255, 255, 0.98);
    backdrop-filter: blur(8px);
    transform: translateY(-100%);
    opacity: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 28px;
    z-index: 1500;
}

.mobile-menu a {
    font-size: 1.3rem;
    font-weight: 500;
    color: #000;
    text-decoration: none;
    transition: color 0.3s ease;
}

.mobile-menu a:hover,
.mobile-menu a.active {
    color: #fbab18;
}

.mobile-cta {
    margin-top: 20px;
    background: #fbab18;
    color: #000;
    padding: 12px 26px;
    border-radius: 12px;
    font-weight: 500;
    text-decoration: none;

    &:hover {
        background-color: #000;
        color: #fff;
    }
}

/* mobile menu */


/* master footer with cta */
.Master-FooterSection {
    width: 100%;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    background: linear-gradient(180deg, #000000, #101727, #000000);

    .Master-FooterContainer {
        width: 100%;
        height: auto;
        /* max-width: 1400px; */
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        background-image: url(/assets/footer-dot-bg.png);
        background-position: center center;
        background-repeat: no-repeat;
        background-size: cover;


        /* cta section */
        .footer-cta-section {
            width: 100%;
            height: auto;
            /* margin: 60px 0;
            max-width: 1400px; */
            display: flex;
            align-items: center;
            justify-content: center;
            text-align: center;
            flex-direction: column;

            .footer-cta-Container {
                width: 100%;
                height: auto;
                margin: 60px 0;
                max-width: 1400px;
                text-align: center;
                display: flex;
                align-items: center;
                justify-content: center;
                flex-direction: column;


                img {
                    width: auto;
                    height: 200px;
                }

                h2 {
                    font-size: 2.5rem;
                    line-height: 3rem;
                    color: #ffffff;
                    text-align: center;
                    margin-bottom: 20px;
                }

                p {
                    font-size: 1.2rem;
                    margin-bottom: 35px;
                    color: #ffffff;
                    max-width: 800px;
                    text-align: center;
                }

                .footer-cta-buttons {
                    width: auto;
                    height: auto;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    gap: 30px;

                    .cta-primaryBtn {
                        font-size: 1.1rem;
                        background: #fbab18;
                        color: #000000;
                        padding: 12px 24px;
                        border-radius: 12px;
                        border: none;
                        transition: all .5s ease-in-out;

                        &:hover {
                            background-color: #ffffff;
                            color: #000000;
                            transform: scale(1.025);
                        }
                    }

                    .cta-secondaryBtn {
                        font-size: 1.1rem;
                        background: #ffffff50;
                        color: #ffffff;
                        border: 1px solid #ffffff80;
                        padding: 12px 24px;
                        border-radius: 12px;
                        transition: all .5s ease-in-out;

                        &:hover {
                            background: #ffffff80;
                            transform: scale(1.025);
                        }
                    }
                }
            }
        }

        @media only screen and (max-width:768px) {
            .footer-cta-section {
                padding: 0 10px;

                .footer-cta-Container {

                    img {
                        height: 150px;
                    }

                    h2 {
                        font-size: 2rem;
                        line-height: 2.5rem;
                        margin-bottom: 15px;
                    }

                    p {
                        font-size: 1rem;
                        margin-bottom: 25px;
                    }

                    .footer-cta-buttons {
                        flex-wrap: wrap;
                        gap: 15px;

                        a {
                            width: 100%;
                            display: block;
                        }
                    }
                }
            }
        }
        /* cta section */


        /* main footer section */
        .main-Footer-Section {
            width: 100%;
            height: auto;
            display: flex;
            align-items: center;
            justify-content: center;
            flex-direction: column;

            .main-Footer-Container {
                width: 100%;
                height: auto;
                max-width: 1400px;
                margin-top: 80px;
                margin-bottom: 30px;
                gap: 40px;
                display: flex;
                align-items: start;
                justify-content: space-between;

                .foot-Child {
                    /* width: 30%; */
                    height: auto;
                    display: flex;
                    align-items: start;
                    justify-content: start;
                    flex-direction: column;
                }

                .foot-Child:nth-child(1) {
                    width: 40%;

                    img {
                        width: 100px;
                        height: auto;
                        margin-bottom: 15px;
                    }

                    p {
                        font-size: 1rem;
                        color: #fafafa;
                        margin-bottom: 20px;
                    }

                    .foot-Social {
                        display: flex;
                        align-items: center;
                        justify-content: start;
                        gap: 20px;

                        a {
                            padding: 5px 10px;
                            background-color: #fafafa15;
                            border: 1px solid #fafafa60;
                            border-radius: 5px;
                            transition: all .5s ease-in-out;

                            i {
                                font-size: 1.2rem;
                                font-weight: 500;
                                color: #fafafa;
                                transition: all .5s ease-in-out;
                            }
                        }

                        a:hover {
                            background-color: #fbab18;
                            border: 1px solid #fbab18;
                            transform: scale(1.1);
                        }

                        a:hover i {
                            color: #000000;
                        }
                    }
                }

                .foot-Child {

                    h3 {
                        font-size: 1.5rem;
                        color: transparent;
                        background: linear-gradient(90deg, #fbab18, #fff);
                        background-clip: text;
                        -webkit-background-clip: text;
                        margin-bottom: 25px;
                    }

                    a {
                        font-size: 1rem;
                        color: #fafafa;
                        margin-bottom: 15px;
                        transition: all .3s ease-in-out;

                        &:hover {
                            transform: translateX(5px);
                        }

                        &:hover i {
                            color: #fbab18;
                        }
                    }
                }

                .foot-Child:nth-child(2),
                .foot-Child:nth-child(3) {
                    width: 20%;
                }

                .foot-Child:nth-child(4) {
                    width: 40%;

                    a {
                        margin-bottom: 25px;

                        i {
                            font-size: 1.2rem;
                            padding: 10px;
                            border-radius: 5px;
                            color: #fbab18;
                            background-color: #1d170f;
                            margin-right: 3px;
                        }
                    }

                }
            }

            .foot-hr {
                width: 100%;
                max-width: 1400px;
                border: 1px solid #ffffff20;
                background-color: #ffffff20;
                height: 1.5px;
                border-radius: 5px;
                margin: 40px 0;
            }

            .foot-copyright {
                width: 100%;
                max-width: 1400px;
                display: flex;
                align-items: center;
                justify-content: space-between;
                margin-bottom: 20px;

                .copyright-left {
                    width: 60%;
                    height: auto;

                    p {
                        color: #fafafa;
                        font-size: 1rem;
                    }
                }

                .copyright-right {
                    width: 40%;
                    height: auto;
                    display: flex;
                    align-items: center;
                    justify-content: end;

                    p {
                        font-size: 1rem;
                        color: #fafafa;

                        a {
                            color: #fafafa;
                        }
                    }
                }


            }

        }

        @media only screen and (max-width:768px) {
            .main-Footer-Section {
                padding: 0 20px;
                overflow: hidden;

                .main-Footer-Container {
                    flex-wrap: wrap;
                    gap: 30px;
                    margin-bottom: 10px;

                    .foot-Child:nth-child(1),
                    .foot-Child:nth-child(4) {
                        width: 100%;
                    }

                    .foot-Child:nth-child(2), .foot-Child:nth-child(3){
                        width: 45%;
                    }
                    .foot-Child {
                        width: 45%;
                    }
                }

                .foot-hr {
                    margin-top: 10px;
                }

                .foot-copyright {
                    flex-wrap: wrap;
                    gap: 10px;

                    .copyright-left,
                    .copyright-right {
                        width: 100%;
                        text-align: center;
                        align-items: center;
                        justify-content: center;
                    }
                }
            }
        }

        /* main footer section */
    }
}

/* master footer with cta */